Subject: bug#13176: closed (Re: bug#13176: SRFI-37 does not terminate)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 25 Mar 2013 22:33:01 +0000

Your bug report

#13176: SRFI-37 does not terminate

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13176: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13176
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13176: SRFI-37 does not terminate
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Mon, 25 Mar 2013 23:29:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> The following case does not terminate:
>
> scheme@(guile-user)> (use-modules (srfi srfi-37))
> scheme@(guile-user)> (define opts (list (option '(#\I) #f #t (lambda _ #t))))
> scheme@(guile-user)> (args-fold '("-I") opts (lambda _ (error "unrecognized")) (lambda _ #f) '())
> [spins forever]

Fixed in 59b0f9d.

Ludo’.

Subject: SRFI-37 does not terminate
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Thu, 13 Dec 2012 22:45:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The following case does not terminate:

scheme@(guile-user)> (use-modules (srfi srfi-37))
scheme@(guile-user)> (define opts (list (option '(#\I) #f #t (lambda _ #t))))
scheme@(guile-user)> (args-fold '("-I") opts (lambda _ (error "unrecognized")) (lambda _ #f) '())
[spins forever]

(This is an option with a short name, optional argument; it is used
without that optional argument.)

Ludo’.